New upstream releases available for Onboard and virtkey

Bug #1089396 reported by Francesco Fumanti on 2012-12-12
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
onboard (Ubuntu)
Undecided
Unassigned
ubuntu-defaults-nexus7 (Ubuntu)
Undecided
Unassigned
virtkey (Ubuntu)
Undecided
Unassigned

Bug Description

Hi,

A new version of Onboard has been released upstream. This is not the final 0.99.0 release; it is an alpha release to allow users to take advantage and to test among others the first adaptions done to Onboard for the nexus 7.

This new version of Onboard requires virtkey version 0.63.0 that has been released in conjunction with Onboard 0.99.0~alpha1~tr1188.

Moreover, I have updated the ubuntu-defaults-nexus7 package with the system-defaults file for nexus of Onboard 0.99.0~alpha1~tr1188.

The debianisation for ubuntu raring of the three packages will be attached to this bug thread in short. Here the relevant parts of the debian/changelog of the three packages:

-------------------------------------------------------------

ubuntu-defaults-nexus7 (0.39) raring; urgency=low

  * Update system-defaults.conf file for Onboard 0.99.0~alpha1~tr1188

 -- Francesco Fumanti <email address hidden> Wed, 12 Dec 2012 13:58:45 +0100

------------------------------------------------------------

virtkey (0.63.0-0ubuntu1) raring; urgency=low

  * debian/control: Add libxkbfile-dev to Build-Depends
  * Add support for system-layout specific items in Onboard's layout files

 -- Francesco Fumanti <email address hidden> Mon, 10 Dec 2012 22:12:45 +0100

-----------------------------------------------------------

onboard (0.99.0~alpha1~tr1188-0ubuntu1) raring; urgency=low

  * Sponsorship request for Ubuntu Raring (LP: #1089396)
  * debian/control: raise virtkey run dependency to 0.63.0 or above
  * debian/patches: refresh patch and change default theme
  * Onboard requires now virtkey >= 0.63.0
  * Add example file with system defaults for the nexus7
  * Various changes to get acceptable speeds on the nexus7 (LP: #1070760)
  * Add docking feature (LP: #405034)
  * Add sliding feature for docking and auto-repositioning
  * Add multitouch support
  * Add a toggle to stop listening to touch events in case of many problems
  * Add popup on long press for key variants like diacritics
  * New option to choose popup vs repeat for keys with variants
  * New gsettings key for the popup delay
  * Make move, frame and touch handles work on the nexus7
  * Perform simulated clicks on correct touch position
  * Auto-release pointer grab after timeout in case nexus7 is unresponsive
  * Fix xserver memory leaking
  * Improve speed when typing and moving the pointer (LP: #1055448)
  * Fix rendering being slowed by emboss effect on keycaps (LP: #890221)
  * Fix for not being able to move/resize Onboard on touchscreens (LP: #959035)
  * Have Onboard respect launcher icon size (LP: #1078554)
  * Auto-show Onboard by clicking already selected text entries (LP: #1078602)
  * Make default shortcut for language/layout work from Onboard (LP: #1078629)
  * New design of the Preferences dialog with more options (LP: #1053496)
  * Disable click buttons when mousetweaks is not installed
  * Add D-Bus service to show and hide the keyboard (LP: 1032042)
  * Don't export dbus service for embedded instances
  * Set NumLock's default sticky behavior to LOCK_ONLY
  * Keep state of NumLock across restarts
  * New attribute in layout files for sticky key behaviour
  * New layout tags key_template and keysym_rule defining keysym-specific labels
  * New window tag for color schemes to define border of popups
  * New layout tag for language specific overrides in the layouts
  * Move common key definitions into template for import by layout files
  * Sync modifier states of Onboard with changes by hardware keyboard or tools
  * Fix keys not re-rendered when releasing latched modifiers (LP: #1069990)
  * Send key strokes for all modifiers (LP: #1067797)
  * Blacklist Ctrl-LAlt+Fn keys by default
  * Add alternative key generation by at-spi2
  * Try to improve struts handling for metacity and mutter
  * Fix getpreferredencoding hack, by Matthias Klose
  * Build for all python3 versions, by Matthias Klose
  * Add work arounds for some problems with the search box of firefox
  * Improve startup sequence to fix Onboard showing up sometime at position 0.0
  * Make scanning work out of the box on the nexus7
  * Small changes to some themes
  * Add new Nightshade theme
  * Add keystroke width to the theme settings
  * Highlight pressed keys longer for better visibility on slow computers
  * More visual tweaks
  * Several code cleanups

 -- Francesco Fumanti <email address hidden> Wed, 12 Dec 2012 14:47:19 +0100

-------------------------------------------------------------------

Please, do not hesitate to ask if you need further pieces of information.

Cheers,

Francesco

Francesco Fumanti (frafu) wrote :
description: updated
Francesco Fumanti (frafu) wrote :
Francesco Fumanti (frafu) wrote :
Francesco Fumanti (frafu) wrote :
Francesco Fumanti (frafu) wrote :
Francesco Fumanti (frafu) wrote :
Francesco Fumanti (frafu) wrote :
Francesco Fumanti (frafu) wrote :
Francesco Fumanti (frafu) wrote :
Francesco Fumanti (frafu) wrote :
Francesco Fumanti (frafu) wrote :
marmuta (marmuta) wrote :

There's a crasher when the system font size changes with this version. Fix is in trunk. Please wait if the package isn't on it's way yet.

Francesco Fumanti (frafu) wrote :

As it is a general problem not restricted to Ubuntu or the nexus7, I decided to create the Onboard 0.99.0~alpha1~tr1190 release instead of patching the 0.99.0~alpha1~tr1188 release.

Here is the relevant part of the debian/changelog of the debianisation for Ubuntu Raring:

onboard (0.99.0~alpha1~tr1190-0ubuntu1) raring; urgency=low

  * Fix Onboard becoming empty when system font dpi changes

 -- Francesco Fumanti <email address hidden> Wed, 12 Dec 2012 21:33:43 +0100

You can find the files of the Onboard 0.99.0~alpha1~tr1190 debianisation attached to this bug thread. You can ignore the Onboard 0.99.0~alpha1~tr1188 package, but I will not delete the corresponding files, in case you would like to have a look at them.

Francesco Fumanti (frafu) wrote :
Francesco Fumanti (frafu) wrote :
Daniel Holbach (dholbach) wrote :

Uploaded.

Changed in onboard (Ubuntu):
status: New → Fix Committed
Changed in ubuntu-defaults-nexus7 (Ubuntu):
status: New → Fix Committed
Changed in virtkey (Ubuntu):
status: New → Fix Committed
Daniel Holbach (dholbach) wrote :

I just took the liberty of reformatting the changelog entries a little bit.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-defaults-nexus7 - 0.39

---------------
ubuntu-defaults-nexus7 (0.39) raring; urgency=low

  * Update system-defaults.conf file for Onboard 0.99.0~alpha1~tr1188.
    (LP: #1089396)
 -- Francesco Fumanti <email address hidden> Wed, 12 Dec 2012 13:58:45 +0100

Changed in ubuntu-defaults-nexus7 (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtkey - 0.63.0-0ubuntu1

---------------
virtkey (0.63.0-0ubuntu1) raring; urgency=low

  * New upstream release. (LP: #1089396)
    - Add support for system-layout specific items in Onboard's layout files
  * debian/control: Add libxkbfile-dev to Build-Depends
 -- Francesco Fumanti <email address hidden> Mon, 10 Dec 2012 22:12:45 +0100

Changed in virtkey (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.3 KiB)

This bug was fixed in the package onboard - 0.99.0~alpha1~tr1190-0ubuntu1

---------------
onboard (0.99.0~alpha1~tr1190-0ubuntu1) raring; urgency=low

  * New upstream alpha release. (LP: #1089396)
    + Fix Onboard becoming empty when system font dpi changes

onboard (0.99.0~alpha1~tr1188-0ubuntu1) raring; urgency=low

  * Sponsorship request for Ubuntu Raring (LP: #1089396)
  * debian/control: raise virtkey run dependency to 0.63.0 or above
  * debian/patches: refresh patch and change default theme
  * Onboard requires now virtkey >= 0.63.0
  * Add example file with system defaults for the nexus7
  * Various changes to get acceptable speeds on the nexus7 (LP: #1070760)
  * Add docking feature (LP: #405034)
  * Add sliding feature for docking and auto-repositioning
  * Add multitouch support
  * Add a toggle to stop listening to touch events in case of many problems
  * Add popup on long press for key variants like diacritics
  * New option to choose popup vs repeat for keys with variants
  * New gsettings key for the popup delay
  * Make move, frame and touch handles work on the nexus7
  * Perform simulated clicks on correct touch position
  * Auto-release pointer grab after timeout in case nexus7 is unresponsive
  * Fix xserver memory leaking
  * Improve speed when typing and moving the pointer (LP: #1055448)
  * Fix rendering being slowed by emboss effect on keycaps (LP: #890221)
  * Fix for not being able to move/resize Onboard on touchscreens (LP: #959035)
  * Have Onboard respect launcher icon size (LP: #1078554)
  * Auto-show Onboard by clicking already selected text entries (LP: #1078602)
  * Make default shortcut for language/layout work from Onboard (LP: #1078629)
  * New design of the Preferences dialog with more options (LP: #1053496)
  * Disable click buttons when mousetweaks is not installed
  * Add D-Bus service to show and hide the keyboard (LP: 1032042)
  * Don't export dbus service for embedded instances
  * Set NumLock's default sticky behavior to LOCK_ONLY
  * Keep state of NumLock across restarts
  * New attribute in layout files for sticky key behaviour
  * New layout tags key_template and keysym_rule defining keysym-specific labels
  * New window tag for color schemes to define border of popups
  * New layout tag for language specific overrides in the layouts
  * Move common key definitions into template for import by layout files
  * Sync modifier states of Onboard with changes by hardware keyboard or tools
  * Fix keys not re-rendered when releasing latched modifiers (LP: #1069990)
  * Send key strokes for all modifiers (LP: #1067797)
  * Blacklist Ctrl-LAlt+Fn keys by default
  * Add alternative key generation by at-spi2
  * Try to improve struts handling for metacity and mutter
  * Fix getpreferredencoding hack, by Matthias Klose
  * Build for all python3 versions, by Matthias Klose
  * Add work arounds for some problems with the search box of firefox
  * Improve startup sequence to fix Onboard showing up sometime at position 0.0
  * Make scanning work out of the box on the nexus7
  * Small changes to some themes
  * Add new Nightshade theme
  * Add keystroke width to the theme settings
  * Highlight pressed keys ...

Read more...

Changed in onboard (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.